# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/azure_adv2/version'

Gem::Specification.new do |spec|
  spec.name          = 'omniauth-azure-adv2'
  spec.version       = Omniauth::AzureADV2::VERSION
  spec.authors       = ['Tom Schaefer', 'TEECOM']
  spec.email         = ['tommy.schaefer@teecom.com']

  spec.summary       = 'Azure Active Directory V2 strategy for OmniAuth'
  spec.description   = 'Allows developers to authenticate with Azure AD V2'
  spec.homepage      = 'https://github.com/TEECOM/omniauth-azure-adv2'
  spec.license       = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").
    reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'jwt', '~> 1.5'
  spec.add_runtime_dependency 'omniauth', '~> 1.1'

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'rubocop', '~> 0.42'
end
